Name:           python-hy-tools
Version:        1.5.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        HyTools: Hyperspectral image processing library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/EnSpec/hytools
Source:         %{pypi_source hy_tools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'hy-tools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-hy-tools
Summary:        %{summary}

%description -n python3-hy-tools %_description


%prep
%autosetup -p1 -n hy_tools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-hy-tools -f %{pyproject_files}


%changelog
%autochangelog